UIDefaults.ProxyLazyValue (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing, class: UIDefaults, class: ProxyLazyValue
Keywords: javax.swing.UIDefaults.ProxyLazyValue class

# Class UIDefaults.ProxyLazyValue

java.lang.Object
javax.swing.UIDefaults.ProxyLazyValue

All Implemented Interfaces:
  `UIDefaults.LazyValue`

Enclosing class:
  `UIDefaults`

public static class UIDefaults.ProxyLazyValue extends Object implements UIDefaults.LazyValue
This class provides an implementation of `LazyValue` which can be used to delay loading of the Class for the instance to be created. It also avoids creation of an anonymous inner class for the `LazyValue` subclass. Both of these improve performance at the time that a a Look and Feel is loaded, at the cost of a slight performance reduction the first time `createValue` is called (since Reflection APIs are used).

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyLazyValue(String c)`
  Creates a `LazyValue` which will construct an instance when asked.
  `ProxyLazyValue(String c, Object[] o)`
  Creates a `LazyValue` which will construct an instance when asked.
  `ProxyLazyValue(String c, String m)`
  Creates a `LazyValue` which will construct an instance when asked.
  `ProxyLazyValue(String c, String m, Object[] o)`
  Creates a `LazyValue` which will construct an instance when asked.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `createValue(UIDefaults table)`
  Creates the value retrieved from the `UIDefaults` table.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ProxyLazyValue

    public ProxyLazyValue(String c)
    Creates a `LazyValue` which will construct an instance when asked.
    Parameters:
      `c` - a `String` specifying the classname of the instance to be created on demand

  - ### ProxyLazyValue

    public ProxyLazyValue(String c, String m)
    Creates a `LazyValue` which will construct an instance when asked.
    Parameters:
      `c` - a `String` specifying the classname of the class containing a static method to be called for instance creation
      `m` - a `String` specifying the static method to be called on class c

  - ### ProxyLazyValue

    public ProxyLazyValue(String c, Object[] o)
    Creates a `LazyValue` which will construct an instance when asked.
    Parameters:
      `c` - a `String` specifying the classname of the instance to be created on demand
      `o` - an array of `Objects` to be passed as parameters to the constructor in class c

  - ### ProxyLazyValue

    public ProxyLazyValue(String c, String m, Object[] o)
    Creates a `LazyValue` which will construct an instance when asked.
    Parameters:
      `c` - a `String` specifying the classname of the class containing a static method to be called for instance creation.
      `m` - a `String` specifying the static method to be called on class c
      `o` - an array of `Objects` to be passed as parameters to the static method in class c

- ## Method Details

  - ### createValue

    public Object createValue(UIDefaults table)
    Creates the value retrieved from the `UIDefaults` table. The object is created each time it is accessed.
    Specified by:
      `createValue` in interface `UIDefaults.LazyValue`
    Parameters:
      `table` - a `UIDefaults` table
    Returns:
      the created `Object`